--Code for entities by youtube user "goature" edited by myself

ents = {}
ents.objects = {}
ents.objpath = "entities/"
local register = {}
local id = 0

function ents.Startup()  --make sure you register all ents in here or it won't work.
	
end

function ents.Derive(name)
	return love.filesystem.load( ents.objpath .. name .. ".lua" )() --loads up from the folder with the ent files.
end

function ents.Create(name, x, y)
	if not x then	--sets a default x position if there isn't one given
		x = 0
	end
	
	if not y then	--sets a default y position if there isn't one given
		y = 0
	end
	
	if register[name] then	--Checks if the entity was created and if it is, go through the functions for it, if not, print an error to the console.
		id = id + 1
		local ent = register[name]()
		ent:load()
		ent:setPos(x, y)
		ent.id = id
		ents.objects[#ents.objects + 1] = ent
		return ents.objects[#ents.objects]
	end
end

function ents:update(dt)
	for i, ent in pairs(ents.objects) do
		if ent.update then
			ent:update(dt)
		end
	end
end

function ents:draw()
	for i, ent in pairs(ents.objects) do
		if ent.draw then
			ent:draw()
		end
	end
end