local ent = ents.Derive("base")

function ent:load( x, y )
	self:setPos( x, y )
	self.w = 25
	self.h = 30
end

function ent:setSize( w, h )
	self.w = w
	self.h = h
end

function ent:getSize()
	return self.w, self.h;
end

function ent:update(dt)
	self.y = self.y + 100*dt
end

function ent:draw()
	local x, y = self:getPos()
	local w, h = self:getSize()
	
	love.graphics.setColor(0, 0, 0)
	love.graphics.newImage("images/enemy1.png", x, y)
end

return ent;